> For the complete documentation index, see [llms.txt](https://docs.openg2p.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openg2p.org/operations/deployment/deployment-guide/odoo-post-install-configuration.md).

# Odoo Post Install Configuration

* Once the Odoo server is up, log in as admin. And enter `debug mode` on odoo.
* Go to *Settings* -> *Technical* -> *System Parameters*.
  * Configure `web.base.url` to your required base URL.
  * Create another system parameter, with the name `web.base.url.freeze`, and value `True`.
  * Create another system parameter, with the name `auth_oauth.authorization_header`, and value `True`.
* Go to the *Apps* sections on UI, and click on the *Update Apps List* action on top.
* Search through and install required G2P Apps & Modules.
* After all, apps are installed, proceed to create users and assign roles.
* Do not use the `admin` user after this step. Log back in as a regular user.
* Configure `ID Types` on `Registry` -> `Configuration`.
* WIP.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openg2p.org/operations/deployment/deployment-guide/odoo-post-install-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
